<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		felipe.cadena
@version		1.0
@description	Pantalla para mostrar detalles de la maquinaria asociadas al avaluo
                
@ManagedBean    CargaDetallesAvaluoDesdeArchivoMB
@cu 			CU-SA-AC-101 
-->
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             columns="1" width="100%">

    <p:dataTable value="#{cargaDetallesAvaluoDesdeArchivo.maquinarias}" var="maquinaria"
                 id="aceptadaMaquinariaDT" paginator="true" rows="10"
                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                 paginatorPosition="bottom" rowsPerPageTemplate="5,10,20"
                 emptyMessage="No se encontraron maquinarias cargadas">

        <f:facet name="header">
            <h:outputText value="Información de maquinaria aceptada para cargar" />
        </f:facet>

        <p:column headerText="Departamento">
            <h:outputText styleClass="outputTextStyle"
                          value="#{maquinaria.codigoDepartamento}" />
        </p:column>

        <p:column headerText="Municipio">
            <h:outputText styleClass="outputTextStyle"
                          value="#{maquinaria.codigoMunicipio}" />
        </p:column>

        <p:column headerText="Número predial">
            <h:outputText styleClass="outputTextStyle"
                          value="#{maquinaria.numeroPredial}" />
        </p:column>

        <p:column headerText="Descripción">
            <h:outputText styleClass="outputTextStyle"
                          value="#{maquinaria.descripcion}" />
        </p:column>

        <p:column headerText="Especificación">
            <h:outputText styleClass="outputTextStyle"
                          value="#{maquinaria.especificacion}" />
        </p:column>

        <p:column headerText="Cantidad">
            <h:outputText styleClass="outputTextStyle"
                          value="#{maquinaria.cantidad}" />
        </p:column>

        <p:column headerText="Valor unidad">
            <h:outputText styleClass="outputTextStyle"
                          value="#{maquinaria.valorUnidad}">
                <f:converter converterId="converterMoneda" for="valorAvaluoPredio" />
            </h:outputText>
        </p:column>

    </p:dataTable>
</h:panelGrid>
